version=0.1
devMode=false
log.level=INFO

#mysql
jdbc.driver=com.mysql.cj.jdbc.Driver
jdbc.url=jdbc:mysql://127.0.0.1:3306/lanproxy_platform?serverTimezone=Asia/Shanghai&characterEncoding=utf-8&allowMultiQueries=true&socketTimeout=300000&useSSL=false
jdbc.username=root
jdbc.password=qing@5110
jdbc.pool.maxActive=16
jdbc.pool.minIdle=1
jdbc.pool.defaultAutoCommit=true
jdbc.pool.timeBetweenEvictionRunsMillis=5000
jdbc.pool.minEvictableIdleTimeMillis=30000
jdbc.pool.testOnBorrow=true
jdbc.pool.testOnReturn=true
jdbc.pool.testWhileIdle=true
jdbc.pool.logAbandoned=false
jdbc.pool.validationQuery=SELECT 1
jdbc.pool.validationQueryTimeout=3600

jwt.secretKey=123456ABC

swagger.enable=true

server.bind=0.0.0.0
server.port=4900

server.ssl.enable=true
server.ssl.bind=0.0.0.0
server.ssl.port=24993
server.ssl.jksPath=test.jks
server.ssl.keyStorePassword=123456
server.ssl.keyManagerPassword=123456
server.ssl.needsClientAuth=false

#反向代理服务器
http.server.bind=0.0.0.0
http.server.port=80

https.server.bind=0.0.0.0
https.server.port=443
